# cv::VecCommaInitializer< _Tp, m > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::VecCommaInitializer< _Tp, m >:

List of all members.

## Public Member Functions

Vec< _Tp, m > | operator* () const
template<typename _T2 >
VecCommaInitializer< _Tp, cn > & | operator, (_T2 value)
template<typename T2 >
VecCommaInitializer< _Tp, m > & | operator, (T2 val)
| VecCommaInitializer (Vec< _Tp, m > *_vec)

### template<typename _Tp, int m>
class cv::VecCommaInitializer< _Tp, m >

## Constructor & Destructor Documentation

template<typename _Tp , int cn>

cv::VecCommaInitializer< _Tp, cn >::VecCommaInitializer | ( | Vec< _Tp, cn > * | _vec ) | `[inline]`

## Member Function Documentation

template<typename _Tp , int cn>

Vec< _Tp, cn > cv::VecCommaInitializer< _Tp, cn >::operator* | ( | ) | const`[inline]`

Reimplemented from cv::MatxCommaInitializer< _Tp, m, 1 >.

template<typename _Tp, int m>
template<typename _T2 >

VecCommaInitializer<_Tp, cn>& cv::VecCommaInitializer< _Tp, m >::operator, | ( | _T2 | value ) | `[inline]`

template<typename _Tp, int m>
template<typename T2 >

VecCommaInitializer<_Tp, m>& cv::VecCommaInitializer< _Tp, m >::operator, | ( | T2 | val ) |

Reimplemented from cv::MatxCommaInitializer< _Tp, m, 1 >.

The documentation for this class was generated from the following files:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines